Mesa 18.0.5 stable release

Bug #1772607 reported by Timo Aaltonen on 2018-05-22
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libglvnd (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
mesa (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen

Bug Description

[Impact]
Ubuntu 18.04 shipped with mesa 18.0.0~rc5, and deserves to get the last point release of the series.

[Test Case]
Check on intel/radeon hw that things still work fine.

[Regression potential]
Mesa stable releases are tested by vendor CI systems.

Timo Aaltonen (tjaalton) on 2018-05-22
Changed in mesa (Ubuntu):
status: New → Invalid
Changed in mesa (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
status: New → In Progress
Timo Aaltonen (tjaalton) on 2018-05-25
description: updated
Timo Aaltonen (tjaalton) on 2018-05-31
summary: - Mesa 18.0.x stable release
+ Mesa 18.0.5 stable release
Timo Aaltonen (tjaalton) wrote :

libglvnd needs to bump the Breaks/Replaces so that this mesa update can be backported to xenial

Changed in libglvnd (Ubuntu):
status: New → Invalid
Changed in libglvnd (Ubuntu Bionic):
status: New → In Progress

Hello Timo, or anyone else affected,

Accepted mesa into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/18.0.5-0ubuntu0~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Iain Lane (laney) on 2018-06-06
Changed in libglvnd (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Łukasz Zemczak (sil2100) wrote :

Hello Timo, or anyone else affected,

Accepted libglvnd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libglvnd/1.0.0-2ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libglvnd (Ubuntu Bionic):
status: In Progress → Fix Committed
Timo Aaltonen (tjaalton) wrote :

these have been tested by the OEM team when validating the 18.04.1 prerelease image, which includes mesa & libglvnd from -proposed

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Anders Kaseorg (andersk) wrote :

Until this is uploaded to bionic, the version in bionic is older than in xenial (bug 1780680), which is going to interfere with upgrades.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libglvnd - 1.0.0-2ubuntu2.1

---------------
libglvnd (1.0.0-2ubuntu2.1) bionic; urgency=medium

  * control: Drop the alternate depends on lib{egl,glx}-vendor, the
    default provided by mesa should always be installed. (LP: #1770913)
  * control: Bump Breaks/Replaces on old mesa egl/glx packages to verify
    upgrades with xenial backports work. (LP: #1772607)

 -- Timo Aaltonen <email address hidden> Tue, 05 Jun 2018 17:16:05 +0300

Changed in libglvnd (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for libglvnd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 18.0.5-0ubuntu0~18.04.1

---------------
mesa (18.0.5-0ubuntu0~18.04.1) bionic; urgency=medium

  * New upstream release. (LP: #1772607)
    - fix wayland apps blocking on eglswapBuffers (LP: #1774170)

 -- Timo Aaltonen <email address hidden> Tue, 22 May 2018 11:31:23 +0300

Changed in mesa (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers